Mailinglist Archive: opensuse-updates (113 mails)

< Previous Next >
openSUSE-RU-2017:1111-1: Recommended update for python-kiwi
openSUSE Recommended Update: Recommended update for python-kiwi
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:1111-1
Rating: low
References: #1030038 #1032118 #1032119
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update provides python-kiwi 8.30.1, which provides the following
fixes:

- Fix PXE builder. Filesystem image rootfs was not in toplevel.
- Refactor ip link detection. There is no reliable way to check if a link
is unplugged, thus the system has to be changed.
- Ensure grub.cfg exists in EFI path for iso images.
- Delete no longer needed btrfs bootpath setup. (bsc#1030038)
- Fix bootloader menu title setup. (bsc#1032118)
- Avoid GRUB_DISTRIBUTOR setup in etc/default/grub. (bsc#1032119)
- Added "oem-nic-filter" element.
- Fix grub2 setup and tool calls.

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-516=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

kiwi-boot-requires-8.30.1-5.1
kiwi-man-pages-8.30.1-5.1
kiwi-pxeboot-8.30.1-5.1
kiwi-tools-8.30.1-5.1
kiwi-tools-debuginfo-8.30.1-5.1
python-kiwi-debugsource-8.30.1-5.1
python2-kiwi-8.30.1-5.1
python3-kiwi-8.30.1-5.1


References:

https://bugzilla.suse.com/1030038
https://bugzilla.suse.com/1032118
https://bugzilla.suse.com/1032119


< Previous Next >
This Thread
  • No further messages